Bug 1645100

Summary: Corrupted display on latop with AMD ATI RV635 Radeon HD 3650
Product: [Fedora] Fedora Reporter: Andrew Roberts <andrewm.roberts>
Component: xorg-x11-drv-atiAssignee: X/OpenGL Maintenance List <xgl-maint>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: urgent Docs Contact:
Priority: unspecified    
Version: 29CC: airlied, ajax, caillon+fedoraproject, jglisse, john.j5live, pavel.geiger, rhbugs, rhughes, rstrode, sandmann, tcallawa, xgl-maint
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-08-22 00:40:01 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
gdm-x-session log from: journalctl -b0 | grep gdm-x-session
none
output of cat /proc/cpuinfo on affected laptop none

Description Andrew Roberts 2018-11-01 12:08:57 UTC
Created attachment 1499956 [details]
gdm-x-session log from: journalctl -b0 | grep gdm-x-session

Description of problem:

After upgrading from Fedora 28, on logging in the display randomly changes between black and blue. The erasing of background rectangles appears to be randomly failing. 

Sometimes they appear blue, sometimes black, sometimes half blue and half black (the 2 triangles making up the rectangle are different colours).

Laptop is an Intel cpu laptop with ATI display adaptor. Its running the xorg-x11-drv-ati, and using the x11 display (rather than wayland).

01:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] RV635/M86 [Mobility Radeon HD 3650]


Version-Release number of selected component (if applicable):

xorg-x11-drv-ati.x86_64                           18.0.1-2.fc29                          @fedora

How reproducible:

Always

Steps to Reproduce:

Login.

Actual results:

random blue, black, or blue and black (split diagonally) backgound of all painted rectangles (desktop backdrop, terminal backdrop, menu backdrop etc.

Expected results:

What ever tasteful colour/pixmap should normally be displayed.


Additional info:

I've attached the gdm-x-session log file.

Comment 1 Andrew Roberts 2018-11-01 12:10:20 UTC
Created attachment 1499958 [details]
output of cat /proc/cpuinfo on affected laptop

output of cat /proc/cpuinfo on affected laptop

Comment 2 Christian Labisch 2018-11-02 18:18:08 UTC
I can confirm this bug. GUI is unusable after upgrading from RHEL 7.5 to 7.6 :
AMD RV635/M86 [Mobility Radeon HD 3650] xorg-x11-drv-ati.x86_64 - 18.0.1-1.el7
Adding nomodeset or radeon.modeset=0 to the boot parameters is the workaround.
Although the currently used GUI screen resolution is "not the best" of course.

Comment 3 Christian Labisch 2018-11-03 09:48:49 UTC
Fixed in updated xorg-x11-drv-ati-18.1.0-1.fc29.x86 package :
https://koji.fedoraproject.org/koji/buildinfo?buildID=1153920
(updated today) Thanks to the relevant team for the fast fix.

Comment 4 Christian Labisch 2018-11-03 10:41:15 UTC
I installed the updated fedora xorg-x11-drv-ati package on RHEL 7.6 manually.
The drivers work as expected, though abrt reports xorg-x11-server-Xorg crash.
Please fix this issue in the next xorg-x11-drv-ati update for RHEL 7 as well.

Comment 5 Andrew Roberts 2018-11-05 05:37:00 UTC
Fixed for me also with updated driver.